> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload sign

> Get the same OSS upload signature used by Web. Upload the bytes to the returned destination, then register the asset with its corresponding asset operation.

MCP tool: `podcast_upload_sign`. OAuth scope: `asset.write`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/assets/upload_sign
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/assets/upload_sign:
    post:
      tags:
        - Podcast
      summary: upload sign
      description: >-
        Get the same OSS upload signature used by Web. Upload the bytes to the
        returned destination, then register the asset with its corresponding
        asset operation.
      operationId: podcast_upload_sign
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.OssSignReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.CreateTempUrlResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.OssSignReq:
      properties:
        file_size:
          type: integer
        filename:
          type: string
        filetype:
          type: string
        source:
          description: 来源:1-packs_look
          type: integer
        use_to:
          description: 用处 media:商品的媒体文件/dp:数字人相关文件/audio:媒体声音
          type: string
      required:
        - filename
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.CreateTempUrlResp:
      properties:
        full_path:
          description: 完整路径，包含域名
          type: string
        key:
          description: 文件名, 带路径
          type: string
        sign_url:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````